# CoreStoreSwiftType Protocol Reference

# CoreStoreSwiftType

    public protocol CoreStoreSwiftType

`CoreStoreSwiftType`s are CoreStore’s Swift types that are bridgeable to Objective-C.

- `ObjectiveCType`

  The corresponding Objective-C type

  #### Declaration

  Swift

      associatedtype ObjectiveCType

- `bridgeToObjectiveC`

  The bridged Objective-C instance

  #### Declaration

  Swift

      var bridgeToObjectiveC: ObjectiveCType { get }